misc.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/ioctl.h>`
`#include <linux/hdreg.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "misc.h"`
`#include "klog.h"`

## Functions

static void | read_ioports (misc_t *m)
static void | read_dmas (misc_t *m)
static void | read_irqs (misc_t *m)
static int | active_vga_card (hd_t *)
static void | dump_misc_proc_data (hd_data_t *hd_data)
static void | dump_misc_data (hd_data_t *hd_data)
void | hd_scan_misc (hd_data_t *hd_data)
void | hd_scan_misc2 (hd_data_t *hd_data)
void | gather_resources (misc_t *m, hd_res_t **r, char *name, unsigned which)